Doomsday Engine - Bug #2011

[Doom] Invincibility Sphere doesn't always make screen white

2015-04-06 08:54 - sonicdoommario

Status: Closed
Priority: Normal
Assignee: skyjake
Category: Regression

Target version:

Start date: 2015-04-06

% Done: 100%

Description

| have started to encounter this issue in recent builds of Doomsday. At first, | thought it was a random event but | may have found a
way to consistently reproduce it. When | was playing through episode 3, | picked up the Invincibility Sphere in E3M4. The screen
didn't go white, instead the brightness just went up to maximum, like picking up Light Goggles. While the player was still invincible, it
also made it difficult to know when the player was no longer invincible, as the screen wouldn't flash.

Here is how | reproduced the issue:

1) Go to E3M3 and pick up the Invincibility Sphere in that map. The screen should go white as intended.
2) Wait for the Invincibility Sphere to wear off completely before exiting the level. Exit the level after you are returned to normal.
3) In E3M4, go to the Invincibility Sphere and pick it up. You should see this effect.

| have attached a screenshot of what | encounter.

Related issues:

Related to Bug #2004: Invulnerability filter not cleared between maps in all .

. Closed

2015-03-26

Associated revisions

Revision 938d641c - 2015-04-06 13:57 - skyjake

Fixed|Doom: Clearing the invulnerability post-processing filter

While the engine-side view effects state was being reset appropriately,
libdoom's "special filter" state was not reset at the same time.

IssuelD #2011
Revision 4cbf49af - 2015-04-06 13:58 - skyjake
Fixed|Doom: Clearing the invulnerability post-processing filter

While the engine-side view effects state was being reset appropriately,
libdoom's "special filter" state was not reset at the same time.

IssuelD #2011

History

#1 - 2015-04-06 09:43 - skyjake

- Tags set to PostFX, Renderer, Doom

- Category set to Regression

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version setto 1.15

#2 - 2015-04-06 09:43 - skyjake

- Related to Bug #2004: Invulnerability filter not cleared between maps in all cases (unload, savegame, warp) added

#3 - 2015-04-06 14:05 - skyjake
- Status changed from In Progress to Resolved
- Target version changed from 1.15 to 49

- % Done changed from 0 to 100
Please test the next build, this should now be fixed.

#4 - 2015-04-08 06:51 - sonicdoommario

Checked out the new build, this looks good now.

#5 - 2015-04-08 15:14 - skyjake

- Status changed from Resolved to Closed

#6 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)
